Skip to main content
`Ctrl`+`K`

# TSSetMaxSteps

Sets the maximum number of steps to use.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetMaxSteps(TS ts, PetscInt maxsteps)

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- maxsteps - maximum number of steps to use

## Options Database Key

- -ts_max_steps maxsteps - Sets maxsteps

## Note

Use `PETSC_DETERMINE` to reset the maximum number of steps to the default from when the object’s type was set

The default maximum number of steps is 5,000

## Fortran Note

Use `PETSC_DETERMINE_INTEGER`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetMaxSteps()`, `TSSetMaxTime()`, `TSSetExactFinalTime()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex29.c
src/ts/tutorials/ex26.c
src/tao/unconstrained/tutorials/burgers_spectral.c
src/ts/tutorials/ex2.c
src/ts/tutorials/ex21.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex24.c
src/ts/tutorials/ex1f.F90
src/ts/tutorials/ex1.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages